package xyz.twovb.sgm.commands.impl;

/*
 * Created by 2vb - 2/7/2024
 */

import dev.rollczi.litecommands.annotations.argument.Arg;
import dev.rollczi.litecommands.annotations.command.Command;
import dev.rollczi.litecommands.annotations.context.Context;
import dev.rollczi.litecommands.annotations.execute.Execute;
import dev.rollczi.litecommands.annotations.permission.Permission;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import xyz.twovb.sgm.SGM;
import xyz.twovb.toolbox.api.CustomPlayer;

@Command(name = "game")
public class GameCommand {

    @Execute()
    void execute(@Context CommandSender sender) {
        StringBuilder builder = new StringBuilder();
        builder.insert(0, "&7Enabled games:");
        builder.append("\n");
        for (int i = 0; i < SGM.getInstance().getGameManager().getRegisteredGames().size(); i++) {
            String game = SGM.getInstance().getGameManager().getRegisteredGames().get(i);
            builder.append(game);
            if (i < SGM.getInstance().getGameManager().getRegisteredGames().size() - 1) {
                builder.append(", ");
            }
        }
        sender.sendMessage(builder.toString());
    }

    @Execute(name = "start")
    @Permission("sgm.games.start")
    void game(@Context Player player, @Arg("name") String name) {
        CustomPlayer cPlayer = new CustomPlayer(player);
    }

}
